Skip to main content
POST
/
api
/
v1
/
inference-jobs
/
{job_id}
/
files
/
upload-url
Get File Upload Url
curl --request POST \
  --url https://api.example.com/api/v1/inference-jobs/{job_id}/files/upload-url \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "filename": "<string>",
  "file_size_bytes": 123,
  "content_type": "audio/wav"
}
'
{
  "file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "upload_url": "<string>",
  "upload_fields": {},
  "s3_key": "<string>",
  "expires_in": 123
}

Authorizations

X-API-Key
string
header
required

Path Parameters

job_id
string<uuid>
required

Body

application/json

Request to add a file to inference job via presigned upload.

filename
string
required
Required string length: 1 - 500
file_size_bytes
integer
required
Required range: x <= 524288000
content_type
string
default:audio/wav

Response

Successful Response

Response with presigned upload URL for inference file.

file_id
string<uuid>
required
upload_url
string
required
upload_fields
Upload Fields · object
required
s3_key
string
required
expires_in
integer
required